function []=plot_std_field();
%object:    compute and display a standard deviation field

input_list_check('plot_std_field',nargin);

%%%%%%%%%%%%%%%%%
%load parameters:
%%%%%%%%%%%%%%%%%
gcmfaces_global;
myenv.nctiles=1;
nF=5;
fileFormat='compact';
dirGrid=fullfile(myenv.gcmfaces_dir,'../GRID/');
myenv.nctilesdir=fullfile(myenv.gcmfaces_dir,'sample_input/nctiles_climatology/');

if ~isdir(myenv.nctilesdir);
    warning(['skipping plot_std_field (missing ' myenv.nctilesdir ')']);
    return;
end;

mygrid=[]; grid_load(dirGrid,nF,fileFormat,1);

%%%%%%%%%%%
%get field:
%%%%%%%%%%%
fld=read_nctiles([myenv.nctilesdir 'ETAN/ETAN'],'ETAN');
fld=std(fld,[],3); fld(find(fld==0))=NaN;
cc=[0:0.1:1]*0.10;

%%%%%%%%%%%%
%plot field:
%%%%%%%%%%%%
if ~myenv.lessplot;
    gcmfaces_sphere(fld,cc,[],[],1);
end;


